Commit 0b479ab2 authored by Herbert Valerio Riedel's avatar Herbert Valerio Riedel 🕺
Browse files

Add `README.md` and `.travis.yml` script



This enables testing (or rather testing the packages builds) for all
released GHC versions this package is supposed to work with.
Signed-off-by: Herbert Valerio Riedel's avatarHerbert Valerio Riedel <hvr@gnu.org>
parent 688254fc
env:
- GHCVER=7.2.1
- GHCVER=7.2.2
- GHCVER=7.4.1
- GHCVER=7.4.2
- GHCVER=7.6.1
- GHCVER=7.6.2
- GHCVER=7.6.3
before_install:
- sudo add-apt-repository -y ppa:hvr/ghc
- sudo apt-get update
- sudo apt-get install cabal-install-1.18 ghc-$GHCVER autoconf
- export PATH=/opt/ghc/$GHCVER/bin:$PATH
install:
- cabal-1.18 update
- ghc --version
script:
- autoreconf -i
- cabal-1.18 configure -v2
- cabal-1.18 build
- cabal-1.18 check
- cabal-1.18 sdist
The `process` Package [![Build Status](https://travis-ci.org/ghc/packages-process.png?branch=master)](https://travis-ci.org/ghc/packages-process)
=====================
See [`process` on Hackage](http://hackage.haskell.org/package/process) for
more information.
Installing from Git
-------------------
To build this package using Cabal directly from Git, you must run
`autoreconf -i` before the usual Cabal build steps (`cabal
{configure,build,install}`). The program `autoreconf` is part of
[GNU autoconf](http://www.gnu.org/software/autoconf/). There is no
need to run the `configure` script: `cabal configure` will do this for
you.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment